/*
 * MetaMix
 *
 * copyright (c) 2001-2004 by Jason Freeman
 *
 * A008687.java
 *
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version 2
 * of the License, or (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
 */

import java.util.*;

public class A008687 extends Sequence {

    public static String name = "Not Quite So Exponential Slow";
    public static String description = "A008687.html";
    
    public int getValue(long n) {
	if (n == 0)
	    return(0);
	int result = 0;
	long temp = n-1;
	while (temp > 0) {
	    if ((temp % 2) == 0)
		result++;
	    temp = temp / 2;
	}
	return (result+1);
    }

    public long skipAhead(long n) {
        return(n*2);
    }    
    
    public long goBack(long n) {
        return(n/2);
    }
    
    A008687() { 
    }
}
