/*
 * MetaMix
 *
 * copyright (c) 2001-2004 by Jason Freeman
 *
 * A051734.java
 *
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version 2
 * of the License, or (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
 */

import java.util.*;

public class A051734 extends Sequence {

	private Hashtable table;

	public static String name = "Joy Ride";
	public static String description = "A051734.html";

	public int getValue(long n) {
		Integer tableResult = (Integer) table.get(new Long(n));
		if (tableResult != null)
			return(tableResult.intValue());
		int result = 0;
		for (int i = 0; i < n; i++) {
			if ((i % 2) == 0)
				result = result + (int) (Math.min(i + 1, n - i) * getValue(i));
			else // odd
				result =
					result
						+ (int) ((Math.min(i + 1, n - i) * getValue(i)) * -1);
		}
		table.put(new Long(n), new Integer(result));
		return (result);
	}

	public long skipAhead(long n) {
		return (n + 10);
	}

	public long goBack(long n) {
		return (n - 10);
	}

	A051734() {
		table = new Hashtable();
		table.put(new Long(0), new Integer(1));
	}
}
