/*
 * MetaMix
 *
 * copyright (c) 2001-2004 by Jason Freeman
 *
 * AboutBox.java
 *
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version 2
 * of the License, or (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
 */

import java.awt.*;
import java.awt.event.*;
import javax.swing.*;

public class AboutBox extends JFrame
                      implements ActionListener
{
    private JEditorPane info;

    public AboutBox() {
	super("About MetaMix");

	JLabel label;

	Container contentPane = getContentPane();
	contentPane.setLayout(new BoxLayout(contentPane, BoxLayout.Y_AXIS));
	contentPane.add(Box.createVerticalGlue());
	contentPane.add(Box.createRigidArea(new Dimension(0,10)));
	
	try {
	    label = new JLabel(new ImageIcon(this.getClass().getResource("/html/icon.gif")));
	    label.setAlignmentX(Component.CENTER_ALIGNMENT);
	    contentPane.add(label);
	} catch (Exception e) {
	    ; // do nothing, just don't draw icon
	}
	
	contentPane.add(Box.createRigidArea(new Dimension(0,20)));
	
	label = new JLabel("MetaMix");
	label.setAlignmentX(Component.CENTER_ALIGNMENT);
	contentPane.add(label);
	
	contentPane.add(Box.createRigidArea(new Dimension(0,5)));
	
	label = new JLabel(MetaMix.VERSION);
	label.setAlignmentX(Component.CENTER_ALIGNMENT);
	contentPane.add(label);
	
	contentPane.add(Box.createRigidArea(new Dimension(0,20)));
	
	try {
	    info = new JEditorPane(this.getClass().getResource("/html/about.html"));
	} catch (Exception e) {
	    info = new JEditorPane("text/plain", "");
	}
	info.setEditable(false);
	info.setBorder(BorderFactory.createEmptyBorder(10,10,10,10));
	JScrollPane editorScrollPane = new JScrollPane(info);
	editorScrollPane.setVerticalScrollBarPolicy(
	    JScrollPane.VERTICAL_SCROLLBAR_ALWAYS);
	editorScrollPane.setMinimumSize(new Dimension(250,100));
	editorScrollPane.setPreferredSize(new Dimension(350,200));
	editorScrollPane.setMaximumSize(new Dimension(350,300));
	contentPane.add(editorScrollPane);
	
	contentPane.add(Box.createRigidArea(new Dimension(0,20)));
	
	label = new JLabel("copyright (c) 2002, 2003 Jason Freeman");
	label.setAlignmentX(Component.CENTER_ALIGNMENT);
	contentPane.add(label);
	
	contentPane.add(Box.createRigidArea(new Dimension(0,10)));
	contentPane.add(Box.createVerticalGlue());
	this.setResizable(false);
        pack();
	Dimension screenSize =
            Toolkit.getDefaultToolkit().getScreenSize();
	Dimension labelSize = contentPane.getPreferredSize();
	setLocation(screenSize.width/2 - (labelSize.width/2),
		screenSize.height/2 - (labelSize.height/2));
	setVisible(true);
    }
	
    public void actionPerformed(ActionEvent newEvent) {
        setVisible(false);
    }	
	
}