/*
 * MetaMix
 *
 * copyright (c) 2001-2004 by Jason Freeman
 *
 * ImportProgressBar.java
 *
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version 2
 * of the License, or (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
 */

import quicktime.*;
import quicktime.std.*;
import quicktime.std.movies.*;
import javax.swing.*;

public class ImportProgressBar implements MovieProgress {

    JFrame parent;
    ProgressMonitor monitor;
    int statusDone = 0;

    ImportProgressBar(JFrame p) {
	super();
	parent = p;
    }

    public boolean isCanceled() {
	if (monitor == null)
	    return(false);
	else
	    return(monitor.isCanceled());
    }

    public int execute(Movie theMovie, int message, int whatOperation, float percentDone) {
	if (isCanceled())
	    return(Errors.abortErr);
	if ((message == StdQTConstants4.movieProgressUpdatePercent) && (monitor != null)) {
	    statusDone = (int)(percentDone * 100);
	    //System.out.println("progress: " + statusDone);
            monitor.setProgress(statusDone);
        } else if (message == StdQTConstants4.movieProgressOpen) {
             monitor = new ProgressMonitor(parent, "Importing audio, please wait...", "", 0, 100);
	}
	else if (message == StdQTConstants4.movieProgressClose) {
             monitor.close();
        }
        return(Errors.noErr);
    }
}