/*
 * MetaMix
 *
 * copyright (c) 2001-2004 by Jason Freeman
 *
 * QTTimer.java
 *
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version 2
 * of the License, or (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
 */

import quicktime.std.clocks.*;
import quicktime.std.*;
import quicktime.*;

// we now implement this from scratch for more reliable and complete control
// a tickle function calls on checkAndExecute...

public class QTTimer { //extends TimeCallBack {

    private SlavedPlayer thePlayer;
    private int value = -1;

    public QTTimer (SlavedPlayer p) throws QTException {
	thePlayer = p;
    }
		
    public void execute() {
	thePlayer.execute();
    }
    
    public void reset(int v) throws StdQTException {
	value = v;
    }
    
    public void cancel() {
	value = -1;
    }
    
    public boolean isSet() {
	return(value != -1);
    }
    
    public void checkAndExecute(int time, boolean reverse) {
	// System.out.println("time is " + time + " trigger is " + value);
	if (!isSet())
	    return;
	if ((reverse && (time <= value)) || (!reverse && (time >= value))) {
	    execute();
	}
    }
    
    public int getValue() {
	return(value);
    }
}