/*
 * MetaMix
 *
 * copyright (c) 2001-2004 by Jason Freeman
 *
 * Sequence.java
 *
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version 2
 * of the License, or (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
 */

public abstract class Sequence {

    public static String name;
    public static String description;
    
    public abstract int getValue(long n);

    // given a position n in the sequence, return a position
    // further ahead (how far ahead depends on the structure
    // of the sequence...
    public abstract long skipAhead(long n);
    
    public abstract long goBack(long n);
    
    public void setSize(long n) {
	// most classes won't need to do anything here
    }

    Sequence() {
    
    }

}
